HALT(8)

NOM
halt, reboot, poweroff - Arrêter le système

SYNOPSIS
/sbin/halt [-n] [-w] [-d] [-f] [-i] [-h]
/sbin/reboot [-n] [-w] [-d] [-f] [-i] [-h]
/sbin/poweroff [-n] [-w] [-d] [-f] [-i] [-h]

DESCRIPTION
halt enregistre dans le fichier /var/log/wtmp le fait que le système va s'arrêter, et ensuite, demande au noyau d'arrêter, de redémarrer, ou d'éteindre le système.

Si halt ou reboot est appelé quand le système n'est pas dans le niveau d'exécution 0 ou 6, c'est-à-dire lorsque le système s'exécute normalement, shutdown(8) sera appelé à la place (avec l'option -h ou -r). Pour plus d'information, référez-vous à la page de manuel shutdown(8).

Le reste de cette page de manuel décrit le comportement des niveaux d'exécution 0 et 6, c'est-à-dire lorsque les scripts d'arrêt du système sont lancés.

OPTIONS

-n  Ne pas synchroniser le cache avec les disques avant d'arrêter ou de réinitialiser le système.

-w  Ne pas réinitialiser ou arrêter le système mais enregistre le fait que le système va s'arrêter (dans le fichier /var/log/wtmp).

-d  Ne pas enregistrer le wtmp. L'option -n implique -d.

-f  Force la réinitialisation ou l'arrêt sans appeler shutdown(8).

-i  Interrompt l'activité de toutes les interfaces réseaux avant la réinitialisation ou l'arrêt.

-h  Place tout les disques du système dans l'état suspendu juste avant l'arrêt ou l'extinction.

-p  Lors de l'arrêt du système, l'éteindre. Ceci est l'option par défaut quand halt est appelé en tant que poweroff.

DIAGNOSTIC
Si vous n'êtes pas superutilisateur, vous n'obtiendrez que le message « must be superuser ».

NOTES
Dans les versions précédentes de sysvinit, reboot et halt ne devaient jamais être appelés directement. À partir de la version 2.74, halt et reboot appellent shutdown si le système n'est pas dans le niveau d'exécution 0 ou 6. Ceci implique que si halt ou reboot ne peuvent pas trouver le niveau d'exécution actuel (par exemple, si /var/run/utmp n'a pas été correctement initialisé), alors shutdown sera appelé, ce qui n'est pas nécessairement ce que vous souhaiteriez. Utilisez l'option -f si vous souhaitez directement faire un halt ou un reboot.

L'option -h place tous les disques dans le mode suspendu (standby) juste avant l'arrêt ou l'extinction. Pour l'instant, ceci n'est implanté que pour les disques IDE. Un effet de bord de placer un disque dans le mode suspendu est que le cache d'écriture est vidé. C'est important pour les disques IDE puisque le noyau ne vide pas lui-même le cache d'écriture avant l'extinction.

Le programme halt utilise /proc/ide/hd* pour trouver les périphériques disque IDE, cela signifie que /proc doit être monté lorsque halt ou poweroff est appelé, autrement, l'option -h n'aura aucun effet.

AUTEUR
Miquel van Smoorenburg, miquels@cistron.nl

VOIR AUSSI
shutdown(8), init(8)

TRADUCTION

Ce document est une traduction réalisée par Thierry Vignaud <tvignaud AT mandriva DOT com> en 1999, mise à jour par Éric Piel <eric DOT piel AT tremplin-utc DOT net> en 2005 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 halt ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.